package game

import (
	"fmt"
)

func (gm *Game) StartGame() {
	// go gm.runCountdown()
	go gm.runRound()
}

func (gm *Game) runRound() {
	state := gm.GetState()
	if state != STATE_IDLE && state != STATE_PLAY {
		fmt.Println(fmt.Errorf("expected state \"IDLE\" | \"PLAY\" != \"%s\"", state))
		return
	}

	err := gm.changeGameState(STATE_ANY, STATE_PLAY, PHASE_NONE)
	if err != nil {
		fmt.Println(err)
		return
	}

	gm.notifyClients()
}

func (gm *Game) ResetGame() {
	err := gm.changeGameState(STATE_ANY, STATE_IDLE, PHASE_NONE)
	if err != nil {
		fmt.Println(err)
		return
	}
}
